#!/bin/sh
### BEGIN INIT INFO
# Provides:          placement-api
# Required-Start:    $network $local_fs $remote_fs $syslog
# Required-Stop:     $remote_fs
# Should-Start:      postgresql mysql keystone ntp rabbitmq-server
# Should-Stop:       postgresql mysql keystone ntp rabbitmq-server
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Placement API server
# Description:       Frontend Placement API server
### END INIT INFO

# Author: Thomas Goirand <zigo@debian.org>
DESC="OpenStack Placement Service API (placement-api)"
PROJECT_NAME=placement
NAME=${PROJECT_NAME}-api
CONFIG_FILE=/etc/${PROJECT_NAME}/placement-api.conf
UWSGI_PORT=8778
UWSGI_INI_PATH=/etc/placement/placement-api-uwsgi.ini
UWSGI_INI_APP=/usr/bin/placement-api
